Subject: Re: [patch net-next 0/4] net/mlx5: expose peer SF devlink instance

From: Jakub Kicinski <[email-masked]>
Date: Tue, 22 Aug 2023 08:28:33 -0700

On Tue, 22 Aug 2023 08:36:06 +0200 Jiri Pirko wrote:
> >I'm thinking about containers. Since the SF configuration is currently
> >completely vendor ad-hoc I'm trying to establish who's supposed to be
> >in control of the devlink instance of an SF - orchestrator or the
> >workload. We should pick one and force everyone to fall in line.  
> 
> I think that both are valid. In the VF case, the workload (VM) owns the
> devlink instance and netdev. In the SF case:
> 1) It could be the same. You can reload SF into netns, then
>    the container has them both. That would provide the container
>    more means (e.g. configuration of rdma,netdev,vdev etc).
> 2) Or, your can only put netdev into netns.

Okay, can you document that?

> Both usecases are valid. But back to my question regarding to this
> patchsets. Do you see the need to expose netns for nested port function
> devlink instance? Even now, I still don't.

It's not a huge deal but what's the problem with adding the netns id?
It's probably 50 LoC, trivial stuff.